Bug 824089 - CVE-2011-2082 rt3: Multiple security flaws fixed in upstream v3.8.12 and v4.0.6 versions [epel-all]
Summary: CVE-2011-2082 rt3: Multiple security flaws fixed in upstream v3.8.12 and v4.0...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: rt3
Version: el6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xavier Bachelot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=dcafaro
Depends On:
Blocks: CVE-2011-2082, CVE-2011-2083, CVE-2011-2084, CVE-2011-2085, CVE-2011-4458, CVE-2011-4459, CVE-2011-4460
TreeView+ depends on / blocked
 
Reported: 2012-05-22 17:20 UTC by Jan Lieskovsky
Modified: 2020-11-30 15:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-30 15:43:18 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Jan Lieskovsky 2012-05-22 17:20:57 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=824082

Please note: this issue affects multiple supported versions of Fedora EPEL.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 David A. Cafaro 2015-04-24 15:40:49 UTC
This bug is VERY old, do we have an udpate/patch for this?

Comment 2 Ralf Corsepius 2015-04-24 16:20:56 UTC
[Fedora maintainer speaking - I do not maintain rt in EPEL]

(In reply to David A. Cafaro from comment #1)
> This bug is VERY old, do we have an udpate/patch for this?
None that I am aware of. rt3 was abandoned upstream.

In Fedora >= 21, rt3 has been replaced with rt4 (rt-4.2.x) and is effectively abandoned/dead in Fedora 20. It's only still present in F20, because I missed to EOL it in time before F20 was released and because packages can't be removed from Fedora after release.

I do not think trying to backport the changes from rt4 or trying to develop actual bug-fixes is feasible (checking other distros could be worth a try, though).

Instead I'd recommend to remove rt3 from all EPELs and - should there be sufficient interest - somebody to try adding rt4 (4.0.x or 4.2.x) to EPEL. However, due to the long chain of deps on (modern) perl-modules and CentOS/RHEL's packaging policies, I would expect this to be a challenging, almost impossible task.

Comment 3 David A. Cafaro 2015-04-24 16:24:50 UTC
Thanks for the update and info.  I'll take this back to the Security Team and see how we want to handle this.  We have been working on policy to have packages that are abandoned removed so that's less of an issue than the dependency worries (which will take some thought).

Comment 4 Ben Cotton 2020-11-05 16:46:24 UTC
This message is a reminder that EPEL 6 is nearing its end of life. Fedora will stop maintaining and issuing updates for EPEL 6 on 2020-11-30. It is our policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as EOL if it remains open with a 'version' of 'el6'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later EPEL version.

Thank you for reporting this issue and we are sorry that we were not able to fix it before EPEL 6 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora, you are encouraged  change the 'version' to a later Fedora version prior this bug is closed as described in the policy above.

Comment 5 Ben Cotton 2020-11-30 15:43:18 UTC
EPEL el6 changed to end-of-life (EOL) status on 2020-11-30. EPEL el6 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
EPEL please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.